// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface SwitchCSGOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.SwitchCSG)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .commonmodule.SwitchPoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  java.util.List<openfmb.commonmodule.SwitchPoint> 
      getCrvPtsList();
  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .commonmodule.SwitchPoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.SwitchPoint getCrvPts(int index);
  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .commonmodule.SwitchPoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  int getCrvPtsCount();
  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .commonmodule.SwitchPoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  java.util.List<? extends openfmb.commonmodule.SwitchPointOrBuilder> 
      getCrvPtsOrBuilderList();
  /**
   * <pre>
   * The array with the points specifying a curve shape.
   * </pre>
   *
   * <code>repeated .commonmodule.SwitchPoint crvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.SwitchPointOrBuilder getCrvPtsOrBuilder(
      int index);
}
